Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HeapRecordId Class
Members See Also Send Feedback

Content used for the key in a Heap database record. Berkeley DB creates this value for you when you create a record in a Heap database. You should never create this structure yourself; Berkeley DB must create it for you. This structure is returned in the key DatabaseEntry parameter of the method that you use to add a record to the Heap database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public class HeapRecordId

Visual Basic (Declaration)
    Public Class HeapRecordId

Visual C++
    public ref class HeapRecordId

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.HeapRecordId

# See Also

HeapRecordId Members
BerkeleyDB Namespace